Summary: Concurrent Versioning System
Name: cvs
Version: 1.9
Release: 5
Copyright: GPL
Group: Development/Version Control
Source: ftp://prep.ai.mit.edu/pub/gnu/cvs-1.9.tar.gz
Patch: cvs-1.9-getopt.patch
Requires: rcs
Prereq: /sbin/install-info
Summary(de): Concurrent-Versioning-System
Summary(fr): CVS : Concurrent Versioning System
Summary(tr): Srm denetim sistemi

%description
CVS is a front end to the rcs(1) revision control system which extends
the notion of revision control from a collection of files in a single
directory to a hierarchical collection of directories consisting of
revision controlled files.  These directories and files can be
combined together to form a software release.  CVS provides the
functions necessary to manage these software releases and to control
the concurrent editing of source files among multiple software
developers.

%description -l de
CVS ist ein Frontend fr das RCS(1)-Revisionskontrollsystem, das den 
Begriff der Revisionskontrolle von einer Sammlung von Dateien in einem 
" "einzelnen Verzeichnis auf eine ganze Hierarchie ausweitet, bestehend aus
revisionskontrollierten Dateien. Diese Verzeichnisse und Dateien lassen 
sich zu einer Software-Release kombinieren. CVS bietet die Funktionen, die
zur Verwaltung von Software-Releases und zur berwachung der 
gleichzeitigen Bearbeitung von Quelldateien durch mehrere Software-
Entwickler notwendig sind. 

%description -l fr
CVS est un frontal pour le systme de contrle de rvision rcs(1) qui tend la
notion de contrle de rvision d'un ensemble de fichiers placs dans un
seul rpertoire  un ensemble hirarchis de rpertoires contenant des fichiers
contrls. Ces rpertoires et fichiers peuvent tre combins pour former une
version de logiciel. CVS offre les fonctions ncessaires pour grer ces versions
et pour contrler la modification simultane des fichiers sources entre les
diffrents deloppeurs. 

%description -l tr
CVS (Concurrent Versioning System), tek bir dizindeki dosya topluluunun
srm denetimini, denetimi yaplm dizinlerin hiyerarik topluluuna
genileten rcs(1) srm denetim sisteminin n yzdr. Bu dizin ve dosyalar,
bir yazlm yayn oluturma amacyla biraraya getirilebilir. CVS, bu yazlm
yaynlarnn ynetilmesini ve kaynak dosyalar bakmnn birden ok yazlm
gelitiricisi tarafndan ezamanl olarak yaplmasn kontrol etmek iin
gereken ilevleri salar.

%changelog
* Mon Apr 27 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Wed Oct 29 1997 Otto Hammersmith <otto@redhat.com>

- added install-info stuff
- added changelog section

%prep
%setup
%patch -p1 -b .opt

%build
./configure --prefix=/usr
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s

%install
make install
rm -f /usr/info/cvs*
make install-info
gzip -9nf /usr/info/cvs*

strip /usr/bin/cvs

%post

/sbin/install-info /usr/info/cvs.info.gz /usr/info/dir --entry="* cvs: (cvs).          A version control system for multiple developers."
/sbin/install-info /usr/info/cvsclient.info.gz /usr/info/dir --entry="* cvsclient: (cvsclient).                       The CVS client/server protocol."

%preun

if [ $1 = 0 ]; then
	/sbin/install-info --delete /usr/info/cvs.info.gz /usr/info/dir --entry="* cvs: (cvs).		A version control system for multiple developers."
	/sbin/install-info --delete /usr/info/cvsclient.info.gz /usr/info/dir --entry="* cvsclient: (cvsclient).                       The CVS client/server protocol."
fi

%files
%doc BUGS FAQ MINOR-BUGS NEWS PROJECTS TODO README
%doc doc/*.ps
/usr/bin/cvs
/usr/bin/cvsbug
/usr/bin/rcs2log
/usr/man/man1/cvs.1
/usr/man/man5/cvs.5
/usr/man/man8/cvsbug.8
/usr/info/cvs*
/usr/lib/cvs
